Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::sliding_fn Struct Reference
Inheritance diagram for ranges::views::sliding_fn:

## Synopsis of methods
constexpr sliding_fn | sliding {}

## Public Member Functions
template<typename Int >
constexpr auto | operator() (Int n) const
Public Member Functions inherited from ranges::views::sliding_base_fn
template<typename Rng >
constexpr sliding_view< all_t< Rng > > | operator() (Rng &&rng, range_difference_t< Rng > n) const